Ticket #41662

win32/lua notify.event() from turn_begin signal not showing

Open Date: 2021-03-01 06:02 Last Update: 2022-02-23 23:25

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Noticed on S3_0 that civ2civ3 ruleset welcome message does not show on msys2 win32. Same for tutorial scenario welcome message. Tutorial does show other notify.event() messages. There's no such problem with msys2 win64. This seems to affect both the msys2 environment in testing (210226) and one currently in use (201212).

Ticket History (3/7 Histories)

2021-03-01 06:02 Updated by: cazfi
  • New Ticket "win32/lua notify.event() from turn_begin signal not showing" created
2021-03-02 18:30 Updated by: cazfi
Comment

S2_6 seems not to be affected. All later branches seem to be affected.

2022-02-18 03:43 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Milestone Update from (None) to 3.0.1 (closed)
  • Component Update from Windows Installers to Scripting API
Comment

The lua signal has garbage turn number in it, so the script doesn't consider it first turn when the message should be shown. Year parameter is broken even on 64bit linux.

2022-02-18 03:50 Updated by: cazfi
  • Resolution Update from None to Accepted
2022-02-23 23:25 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login